Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.admin.ui.actions
Class PropertyAction

    java.lang.Object
      org.jboss.portal.core.admin.ui.actions.PropertyAction

    public class PropertyAction

extends java.lang.Object

Version:
  $Revision: 10696 $
Author:
  Boleslaw Dawidowicz

Constructor Summary
`PropertyAction(PortalObjectManagerBean pomgr)`

Method Summary
`java.lang.String` | `getOtherPropertyName()`
`java.lang.String` | `getPropertyValue()`
`java.lang.String` | `getSelectedProperty()`
`void` | `removeProperty()`
`void` | `selectProperty()`
`void` | `setOtherPropertyName(java.lang.String otherPropertyName)`
`void` | `setPropertyValue(java.lang.String propertyValue)`
`void` | `setSelectedProperty(java.lang.String selectedProperty)`
`void` | `updateProperty()`
`void` | `validatePropertyName(javax.faces.context.FacesContext context, javax.faces.component.UIComponent toValidate, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAction

    public PropertyAction(PortalObjectManagerBean pomgr)

Method Detail

### getSelectedProperty

    public java.lang.String getSelectedProperty()

### setSelectedProperty

    public void setSelectedProperty(java.lang.String selectedProperty)

### getPropertyValue

    public java.lang.String getPropertyValue()

### setPropertyValue

    public void setPropertyValue(java.lang.String propertyValue)

### validatePropertyName

    public void validatePropertyName(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent toValidate,
                                     java.lang.Object value)

### selectProperty

    public void selectProperty()

### removeProperty

    public void removeProperty()

### updateProperty

    public void updateProperty()

### getOtherPropertyName

    public java.lang.String getOtherPropertyName()

### setOtherPropertyName

    public void setOtherPropertyName(java.lang.String otherPropertyName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD